name: Deploy

concurrency:
  group: deploy-${{ github.ref }}
  cancel-in-progress: true

on:
  push:
    branches:
      - "main"

jobs:
  stapler:
    name: "Deploy to Stapler"
    runs-on: ubuntu-latest
    if: ${{ vars.STAPLER_TARGET != '' }}
    steps:
      - name: Checkout repository
        uses: actions/checkout@v6
      - name: Compress production files
        run: tar -czf /tmp/dist.tar.gz .
      - name: Upload to Stapler server
        run: |
          curl -s -X PUT --data-binary "@/tmp/dist.tar.gz" \
              -H 'X-Token: ${{ secrets.STAPLER_TOKEN }}' \
              ${{ vars.STAPLER_CURL_ARGS }} \
              ${{ vars.STAPLER_TARGET }}
